link_beat_force
Prev | Orchestra Opcodes and Operators | Next

## link_beat_force

link_beat_force — Forces the global network Ableton Link session to adopt a specific beat number and time.

## Description

Plugin opcode in ableton_link_opcodes.

Forces the global network Ableton Link session to adopt a specific beat number and time, like a conductor stopping an orchestra and immediately starting it again.

## Syntax

    link_beat_force  i_peer, k_beat [, k_at_time_seconds  [, k_quantum ]]

## Initialization

i_peer -- The Ableton Link peer object.

## Performance

k_beat -- The number requested for the beat.

k_at_time_seconds -- The time requested for the beat; the default value is the current time.

k_quantum -- The local quantum of the beat; the default value is 1.

## See Also

Ableton Link Opcodes

## Credits

By: Michael Gogins 2017

Prev | Up | Next
lincos | Home | link_beat_get